<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Preferences</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 1.1.5  (Linux)">
	<META NAME="CREATED" CONTENT="20070709;15502400">
	<META NAME="CHANGED" CONTENT="20070803;18274200">
</HEAD>
<BODY LANG="en-US" DIR="LTR">
<H1>Preferences</H1>
<H2>Introduction</H2>
<P>The Preferences menu is located in the JFLAP main menu. The
picture below shows the options contained therein. Whenever a
preference is changed, JFLAP will create a small file to store your
choice that will be loaded every time JFLAP runs. When moving the
JFLAP jar file you must also move this file, “jflapPreferences.xml.”
Otherwise, your choices will be forgotten and the machine will
utilize its defaults. There is no way to save files such that the
empty string will always be lambda or epsilon on any other machine,
since it depends on the user's preference file.</P>
<P ALIGN=CENTER><IMG SRC="mainmenu" NAME="Graphic3" ALIGN=BOTTOM WIDTH=537 HEIGHT=327 BORDER=0></P>
<H2>Empty String</H2>
<P>“Set the Empty String Character” will allow you to change the
empty string symbol JFLAP uses. When you click on this option, the
window below will appear. It allows you choose whether you wish to
use lambda or epsilon for the empty string. By default, JFLAP uses
lambda as the empty string. 
</P>
<P ALIGN=CENTER><IMG SRC="emptystringwindow" NAME="Graphic3" ALIGN=BOTTOM WIDTH=168 HEIGHT=87 BORDER=0></P>
<H2>Transitions from Turing Machine Final States</H2>
<P>“Enable Transitions From Turing Machine Final States” is the
second choice in the menu. It allows you to toggle whether or not
JFLAP will simulate Turing machines when they have final states with
transitions issuing from them. By default, the transitions are not
allowed, although they were in earlier versions of JFLAP. When
enabled, a check will appear in the check box to the left of the
choice.</P>
</BODY>
</HTML>